Icinga Module for Windows
==============

The Icinga PowerShell Framework provides a wide range of configuration and check possibilities to ensure an easy integration and full monitoring of Windows environments.
Each single chapter of this documentation will describe parts of the module and the possibilities.

Before you continue, please take a look at the [installation guide](doc/02-Installation.md)

Documentation
-------------

Please take a look at the following content to get to know the possibilities of the module including examples on how to use it.

* [Introduction](doc/01-Introduction.md)
* [Installation Guide](doc/02-Installation.md)
* [Icinga Integration](doc/05-Icinga-Integration.md)
* [PowerShell as Service](doc/service/01-Install-Service.md)

Developer Guide
------------

If you wish to extend the Framework by yourself or write custom plugins for your environment, please have a look at the [Developer Guide](doc/04-Developer-Guide.md) for detailed explanations of functions and code examples.

Contributing
------------

The Icinga Windows Module is an Open Source project and lives from your contributions. No matter whether these are feature requests, issues, translations, documentation or code.

* Please check whether a related issue alredy exists on our [Issue Tracker](https://github.com/Icinga/icinga-powershell-framework/issues)
* Send a [Pull Request](https://github.com/Icinga/icinga-powershell-framework/pulls)
* The master branche shall never be corrupt!
